database_api.list_savings_withdrawals
since HF14
Purpose
Возвращает список выводов в сбережения (savings withdraw). Параметры: start:object, limit:int, order:string
limit- до 1000.orderможет быть одним из:by_from_id- упорядочение по идентификатору (id)start- массив из двух значений:account,request_id
by_complete_from_id- упорядочение по идентификатору (завершённые)start- массив из трёх значений:timestamp,account,request_id
by_to_complete- упорядочение по завершённости (complete)start- массив из трёх значений:account,timestamp,order_id
start (object) | limit (int) | order (string) | |
|---|---|---|---|
[0] | 10 | "by_from_id" | Запрос выводов в сбережения по идентификатору. |
["2018-12-07T16:54:03", "steemit", 0] | 10 | "by_complete_from_id" | Запрос выводов в сбережения по идентификатору (завершённые). |
["", "1970-01-01T00:00:00", 0] | 10 | "by_to_complete" | Запрос завершённых выводов в сбережения. |
См. также: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_savings_withdrawals",
"params": {
"start": [
0
],
"limit": 10,
"order": "by_from_id"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_savings_withdrawals",
"params": {
"start": [
"2018-12-07T16:54:03",
"steemit",
0
],
"limit": 10,
"order": "by_complete_from_id"
},
"id": 1
}'Example 3
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_savings_withdrawals",
"params": {
"start": [
"",
"1970-01-01T00:00:00",
0
],
"limit": 10,
"order": "by_to_complete"
},
"id": 1
}'Response
RESPONSE
json
{
"withdrawals": [
{
"id": 120083,
"from": "adafnnys",
"to": "adafnnys",
"memo": "",
"request_id": 1543942411,
"amount": {
"amount": "2413",
"precision": 3,
"nai": "@@000000013"
},
"complete": "2018-12-07T16:54:03"
}
]
}